[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [equinox-dev] [prov] I20080207-0010 metadata not usable


The problem here comes down to the feature versions not incrementing when one of their contained plug-ins increases it version.
The root cause of this is the generated feature version suffixes which are supposed to account for the changes in the nested plugins.  These suffixes were turning out to be too long and so we ended up truncating them to avoid path length issues.

When the actual version deltas are small enough (ie in a runup to a milestone build where only 1 or 2 plugins change), the change in the feature suffix is not significant enough to escape the truncation.

We have in the past investigated methods of making the suffixes shorter (see https://bugs.eclipse.org/bugs/show_bug.cgi?id=175714) but where unable to come up with a satisfactory solution.

In the short term, all that can be done is to increase the length at which we truncate the suffixes in the sdk build.  Path length is a smaller issue now because of individual source bundles.  However, this is not a real solution and may not actually help if the version deltas are small enough.


Any ideas about what can be done to address this problem are welcome.  Currently the only idea I have is to compare generated versions against the results of a previous build.

-Andrew



Pascal Rapicault/Ottawa/IBM@IBMCA
Sent by: equinox-dev-bounces@xxxxxxxxxxx

02/07/2008 09:48 AM

Please respond to
Equinox development mailing list <equinox-dev@xxxxxxxxxxx>

To
Equinox development mailing list <equinox-dev@xxxxxxxxxxx>
cc
Subject
[equinox-dev] [prov] I20080207-0010 metadata not usable






Because of PDE bu https://bugs.eclipse.org/bugs/show_bug.cgi?id=208143, it
is not possible to install I20080207-0010.

PaScaL

_______________________________________________
equinox-dev mailing list
equinox-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/equinox-dev